%define ver      0.1
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}

Summary: RTP/RTCP protocol library
Name: librtp
Version: %ver
Release: %rel
Copyright: GPL
Group: Libraries
Source: librtp-%{version}.tar.gz
URL: http://librtp.sourceforge.net/
Vendor: Roland Dreier <dreier@users.sourceforge.net>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: glib >= 1.2
BuildRequires: glib-devel >= 1.2

%description
librtp is a library for handling RTP/RTCP packets.  (See RFC 1889 and
1890 for more information about the protocol)

%package devel
Group: Development/Libraries
Summary: Header files to develop applications using librtp.
Requires: %{name} = %{version}

%description devel
Header files for the librtp library.

%prep
%setup

%build
CFLAGS="${RPM_OPT_FLAGS}" LDFLAGS=-s ./configure --prefix=%{_prefix}
make

%install
rm -fr %{RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -fr ${RPM_BUILD_ROOT}
rm -fr /usr/src/redhat/BUILD/gphone*

%files
%defattr(-,root,root)
%doc README TODO NEWS AUTHORS COPYING ChangeLog
%{_libdir}/librtp*.so*

%files devel
%defattr(-, root, root)
%{_includedir}/rtp/*
%{_libdir}/*.a

%changelog
* Wed Mar 27 2002 Calum Selkirk <cselkirk@panix.com>
- split headers into devel package
- buildroot is %{_tmppath}/%{name}-%{version}-root
- add BuildRequires: glib-devel
- rm buildroot before we make install

* Tue Mar 26 2002 Calum Selkirk <cselkirk@panix.com>
- changed %{prefix} to %{_prefix} and removed defines
- changed %{prefix}/lib to %{_libdir}
- changed %{prefix}/include to %{_includedir}
- changed buildroot
